package com.hyp.web.controller.common;

import com.hyp.common.core.domain.AjaxResult;
import com.hyp.system.service.ISysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * packageName com.hyp.web.controller.common
 *
 * @author wangxy
 * @version JDK 8
 * @className CaptchaEnabledController
 * @date 2024/4/28
 * @description 验证码操作处理 B站、抖音搜索：七维大脑    点个关注呗
 */

@RestController
public class CaptchaEnabledController {

    @Autowired
    private ISysConfigService configService;

    /**
     * 获取验证码开关
     */
    @GetMapping("/captchaEnabled")
    public AjaxResult captchaEnabled() {
        AjaxResult ajax = AjaxResult.success();
        boolean captchaEnabled = configService.selectCaptchaEnabled();
        ajax.put("captchaEnabled", captchaEnabled);
        return ajax;
    }
}
